{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Calendar

/api/calendar/{calendarId}/syncStatus

Exposes calendars visible to the current user and stages calendar changes until they are validated and committed.

GET /api/calendar/{calendarId}/syncStatus

Returns synchronization state for an external calendar.

Parameters

Name Location Type Required Description
calendarId path string yes calendar identifier from the request path

Response

Status Content Type Schema Description
200 application/json SyncStateView synchronization state, or null for a local calendar

Example Request

# Request
GET /api/calendar/<calendarId>/syncStatus HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: application/json

{
    "sourceId": "7nkc12e187mwa0h68uaf45oef",
    "lastSync": 0,
    "lastError": "string",
    "nextSync": 0,
    "status": "IDLE"
}

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

SyncStateView

Property Type Required Description
sourceId string no —
lastSync number (int64) no —
lastError string no —
nextSync number (int64) no —
status string [IDLE, RUNNING, OK, ERROR] no —

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net HelpDesk
This application uses cookies to allow login. By continuing to use this application, you agree to the use of cookies.


Help